curl --request GET \
--url https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"company_key": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_turn_at": "2023-11-07T05:31:56Z",
"messages": [
{
"agent_version": 123,
"angle": "<string>",
"body": "<string>",
"confidence": "high",
"confidence_score": 123,
"confident": true,
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"credits_charged": 123,
"error": "<string>",
"facts_used": [
"<string>"
],
"findings": [
{
"code": "<string>",
"excerpt": "<string>",
"message": "<string>",
"severity": "<string>"
}
],
"generated_body": "<string>",
"generated_subject": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insufficient_data": true,
"is_preview": true,
"judge_verdict": {
"grounded": true,
"language_ok": true,
"on_topic": true,
"quality_score": 123,
"reasons": [
"<string>"
],
"safe": true
},
"kind": "email",
"model_key": "<string>",
"opens_thread": true,
"price_tenths": 123,
"quality_score": 123,
"reach": "none",
"reasoning": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"slot_key": "<string>",
"status": "writing",
"subject": "<string>",
"profile_read": false
}
],
"research_brief": [
{
"category": "role",
"fact": "<string>",
"source_title": "<string>",
"source_url": "<string>"
}
],
"researched_at": "2023-11-07T05:31:56Z",
"sources": [
"<string>"
],
"subject_key": "<string>",
"profile": {
"about": "<string>",
"company_name": "<string>",
"education": [
"<string>"
],
"followers": 123,
"headline": "<string>",
"job_title": "<string>",
"location": "<string>",
"profile_url": "<string>",
"work_history": [
{
"employer": "<string>",
"end": "<string>",
"start": "<string>",
"title": "<string>"
}
]
},
"profile_read_at": "2023-11-07T05:31:56Z"
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}List the agent's conversations
Each contact the agent has written to: what it found out about them and every message it wrote them, oldest first, newest conversation first. subject_key narrows to one contact, by the key the sequence gave them; a contact nobody has written to has none.
curl --request GET \
--url https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/outbound-agents/{agent_id}/conversations/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"company_key": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_turn_at": "2023-11-07T05:31:56Z",
"messages": [
{
"agent_version": 123,
"angle": "<string>",
"body": "<string>",
"confidence": "high",
"confidence_score": 123,
"confident": true,
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"credits_charged": 123,
"error": "<string>",
"facts_used": [
"<string>"
],
"findings": [
{
"code": "<string>",
"excerpt": "<string>",
"message": "<string>",
"severity": "<string>"
}
],
"generated_body": "<string>",
"generated_subject": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insufficient_data": true,
"is_preview": true,
"judge_verdict": {
"grounded": true,
"language_ok": true,
"on_topic": true,
"quality_score": 123,
"reasons": [
"<string>"
],
"safe": true
},
"kind": "email",
"model_key": "<string>",
"opens_thread": true,
"price_tenths": 123,
"quality_score": 123,
"reach": "none",
"reasoning": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"slot_key": "<string>",
"status": "writing",
"subject": "<string>",
"profile_read": false
}
],
"research_brief": [
{
"category": "role",
"fact": "<string>",
"source_title": "<string>",
"source_url": "<string>"
}
],
"researched_at": "2023-11-07T05:31:56Z",
"sources": [
"<string>"
],
"subject_key": "<string>",
"profile": {
"about": "<string>",
"company_name": "<string>",
"education": [
"<string>"
],
"followers": 123,
"headline": "<string>",
"job_title": "<string>",
"location": "<string>",
"profile_url": "<string>",
"work_history": [
{
"employer": "<string>",
"end": "<string>",
"start": "<string>",
"title": "<string>"
}
]
},
"profile_read_at": "2023-11-07T05:31:56Z"
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Path Parameters
Query Parameters
Only the conversation with this contact, by the caller's key for them, e.g. sequence::record:. A contact nobody has written to has none.
255The number of items to return.
1 <= x <= 100id, created_at asc, desc Set the cursor to the next or previous page. You can get the cursor from the previous page's response.
Response
Successful Response
The list of ResponseItems.
Show child attributes
Show child attributes
The cursor to the next page. If there are no more pages, this is None.
The cursor to the previous page. If there are no previous pages, this is None.
Was this page helpful?